[Overview][Constants][Classes][Index] | Reference for unit 'memds' (#fcl)

# MarkerSize

Indicates the size for markers in the memory stream for TMemDataset

## Declaration

Source position: memds.pp line 35

`const MarkerSize = SizeOf(Integer);`

## Description

MarkerSize is a constant that indicates the size for markers used in TMemDataset. Markers are read from and written to the internal TMemoryStream for the in-memory dataset, and separates field definitions from the record data in the stream. A marker is also used to indicate the end of the stream.

MarkerSize is defined as the size for the Integer data type.